#include <16F877A.h>
#device adc=10

#FUSES NOWDT,HS, NOPROTECT,NOLVP, NOWRT

#use delay(clock=20000000)
#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8)
#use i2c(Master,Slow,sda=PIN_C4,scl=PIN_C3)

#include "lcd.c"

void main()
{

float x,t;
setup_adc (ADC_CLOCK_DIV_8);
   setup_adc_ports (AN0);
   set_adc_channel (0);
lcd_init();  //initialize lcd

while(1)
{
x = read_adc ();
      t = (5*x*100)/1024;
  lcd_putc('\f');
  lcd_gotoxy(5,1);
lcd_putc("Temperature");
      lcd_gotoxy(7,2);
      printf(lcd_putc,"  %3.1fC\n\r", (float)t);
 delay_ms(500);
}
}
